> For the complete documentation index, see [llms.txt](https://docs.flatredball.com/flatredball/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flatredball.com/flatredball/api/flatredball/math/geometry/polygon/createequilateral.md).

# CreateEquilateral

### Introduction

The CreateEquilateral static method is a method in the Polygon class which can be used to quickly create equilateral (same-length sides) Polygons.

### Code Example

The following code creates two Polygons. One is a 4-sided polygon. The other one is a very high-vertex count Polygon which can be used to draw smooth Circles. Keep in mind that high-vertex polygons like the one created in this example can be expensive when performing collisions.

Add the following using statement:

```
using FlatRedBall.Math.Geometry;
```

Add the following to Initialize after initializing FlatRedBall:

```
 int numberOfSides = 4;
 float radius = 6;
 float firstAngle = 0;

 Polygon firstPoly = Polygon.CreateEquilateral(numberOfSides, radius, firstAngle);
 firstPoly.Visible = true;
 firstPoly.X = -8;

 // Increase the number of sides:
 numberOfSides = 60;

 // Now let's make a high-resolution Circle:
 Polygon secondPolygon = Polygon.CreateEquilateral(numberOfSides, radius, firstAngle);
 secondPolygon.Visible = true;
 secondPolygon.X = 8;
```

![CreateEquilateral.png](https://951240982-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-M_fye9Ufg3vzJxwX5Hk%2Fuploads%2Fgit-blob-4ab349a84cab5bd02aafa8a04513758718845537%2Fmigrated_media-CreateEquilateral.png?alt=media)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.flatredball.com/flatredball/api/flatredball/math/geometry/polygon/createequilateral.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
